17 июня 2014

i-Nex - графическая программа с данными о компьютере и системе пользователя в Linux обновилась до версии 0.6.6

I-Nex, это программа с графическим интерфейсом, позволяющая посредством вкладок  просмотр информации аппаратных устройствах вашего компьютера, пдкючённых устройствах стационарного компьютера: мышь, клавиатура и т.д., а также об установленной системе, используемом ядре, оперативной памяти и многом другом.
Проект I-Nex, направлен на создание жизнеспособной альтернативы в Linux, такой программы как CPU-Z в Windows.
Некоторое время назад программа  I-Nexобновилась до версии 0.6.6
Вот несколько снимков с программой I-Nex 0.6.6, установленной на моём компьютере:




Установка i-Nex в Ubuntu/Linux Mint и производные

Примечание. Для тех пользователей кто устанавливал программу ранее посредством репозиториев, устанавливать больше ничего не нужно, т.к. вы должны получить её обновление путём регулярных обновлений системы.

Тем кто устанавливает программу впервые, откройте терминал (Ctrl+Alt+T), скопируйте и выполните следующие команды:

sudo add-apt-repository ppa:i-nex-development-team/stable
sudo apt-get update
sudo apt-get install i-nex


После установки вы найдёте I-Nex в программах Системные или поиском в меню:


 Удаление i-Nex

Если вы решили удалить I-Nex из системы, выполните следующую команду в терминале:

sudo apt-get remove i-nex

Источник: http://i-nex.linux.pl/

Удачи.

19 комментариев :

  1. Ответы
    1. В Windows его нет, а в Ubuntu/Linux Mint и производных он точно есть. Выполни ещё раз команды в терминале, что указаны в статье на установку.

      Удалить
  2. Здравствуйте. А меня программа (и другие тоже) не стаёт, пишет "E: Не удалось найти пакет i-nex". А перед этим
    "W: Не удалось получить http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found
    E: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.", хотя инет есть и некоторые строки "В кеше" и "Игн".
    Что может помочь?

    ОтветитьУдалить
    Ответы
    1. Попробуйте другой репозиторий
      sudo add-apt-repository ppa:i-nex-development-team/daily
      sudo apt-get update
      sudo apt-get install i-nex

      Репозиторий ppa:i-nex-development-team/stable на данный момент почему то пуст:
      https://launchpad.net/~i-nex-development-team/+archive/ubuntu/stable

      Удалить
    2. Спасибо. Но и здесь невезуха. Я таких "Не удалось получить" насчитал 12 шт. А между теми кешами игнорами иногда проскакивали еще вот такие:
      Ош http://ppa.launchpad.net trusty/main Sources
      404 Not Found
      (тоже 12 шт). Что-то ещё сможет помочь или так и будет?
      p.s. И такое не только с i-nex

      Удалить
    3. Ну дык надо вовремя отключать/удалять отвалившиеся репозитории в источниках приложений. Я не в курсе, как они туда попали...

      Удалить
    4. З.Ы. Репозитории с пометкой Sources - это исходный код. Эти строчки в источниках, в принципе, вообще не нужны.

      Удалить
    5. Спасибо, Максим. Т.е. я понимаю с Другое ПО все с "...ubuntu trusty main (Исходный код)" поудалять?
      p.s. Кстати, их там некоторых по несколько шт. одинаковых. Как-то раньше не обращал на это внимания.

      Удалить
    6. >>Т.е. я понимаю с Другое ПО все с "...ubuntu trusty main (Исходный код)" поудалять?<<
      Да, так будет лучше. Исходники могут понадобиться он может в очень редких случаях для самостоятельной сборки пакетов. Поэтому не все сторонние репозитории предоставляют исходный код, часто только готовые пакеты. При этом команда add-apt-repository по умолчанию всегда добавляет обе строчки в источники, и binary, и sources.

      Удалить
    7. Спасибо большое. Теперь установилась. Хотя при обновлении при закрытии "Программы и обновления" выскакивает ошибка с несколькими , W: (8 шт.):
      , W:Failed to fetch http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found
      , E:Some index files failed to download. They have been ignored, or old ones used instead.
      ...но я рад хоть так да получилось. Спасибо.

      Удалить
    8. Репозиторий handbrake-releases устарел:
      http://i.imgur.com/br4YydL.png
      Ставить надо вот из этого:
      http://i.imgur.com/kYtGWmy.png
      Осваивайте самостоятельный поиск репозиториев, это не сложно :)

      Удалить
    9. Находим страницу репозитория, открывает и видим:
      http://i.imgur.com/N0TnTjF.png
      Какую строчку вставить в команду add-apt-repository, Вы и сами догадаетесь :)

      Удалить
  3. Здравствуйте! Может я поздно спохватился, но попробовать стоит.
    Сегодня решил попробовать поставить I-Nex согласно Вашей инструкции (Linux Mint 17.1)? Добавил репозиторий, обновил список пакетов, выполнил команду на установку, но получил следующее:

    sudo apt-get install i-nex
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    i-nex : Зависит: gambas3-runtime (>= 3.5.0) но он не будет установлен
    Зависит: gambas3-gb-image (>= 3.5.0) но он не будет установлен
    Зависит: gambas3-gb-qt4 (>= 3.5.0) но он не будет установлен
    Зависит: gambas3-gb-form (>= 3.5.0) но он не будет установлен
    Зависит: gambas3-gb-desktop (>= 3.5.0) но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    Нашел предыдущие публикации по этой программе, там была рекомендация по добавлению еще одного репозитория, но опять неудача:

    sudo add-apt-repository ppa:nemh/gambas3
    Не удаётся добавить PPA: «No JSON object could be decoded».

    Может быть что-нибудь подскажите?

    ОтветитьУдалить
    Ответы
    1. Репозиторий ppa:gambas-team/gambas3 устарел. Используйте

      sudo add-apt-repository ppa:gambas-team/gambas3

      или свежие дневные билды

      sudo add-apt-repository ppa:gambas-team/gambas-daily

      Удалить
    2. P.S.
      ==Репозиторий ppa:gambas-team/gambas3 устарел==
      Опечатка, надо "Репозиторий ppa:nemh/gambas3 устарел". Поторопился и не ту строчку скопировал. Остальное верно.

      Удалить
    3. Огромное Вам спасибо, Максим!
      Я еще полный новичок в Linux, попробую конечно освоить самостоятельный поиск репозиториев, хотя не знаю пока, с какого конца начинать ((

      Удалить
    4. Там нет ничего сложного. Как правило, достаточно набрать в гугле "название-программы ppa" и первые же ссылки в поисковой выдаче приведут на страницу репозитория на Launchpad. Переходим туда, проверяем (с помощью фильтра по релизам), есть ли там версия для нашей системы, и копируем строчку "ppa:bla-bla-bla" (выделена жирным) в команду sudo add-apt-repository. Вот как на этом старом скриншоте:
      http://i.imgur.com/br4YydL.png
      Похожим образом можно проверять в браузере репозитории "на свежесть", прежде чем устанавливать по инструкции в Интернете - ведь инструкции могут устаревать. Выделяем мышкой в браузере в команде "sudo add-apt-repository ppa:bla-bla-bla" хвостик "ppa:bla-bla-bla" и в контекстном меню выбираем Искать выделенное в Google. Репозиторий без проблем найдется. А дальше фильтруем по названию релиза и смотрим. Вся процедура требует всего четыре-пять кликов мышкой, по большому счету :)

      Удалить